# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::RenderState Class Reference

Base class for most of the OpenGL render state wrapper classes. More...

`#include <RenderState.hpp>`

Inheritance diagram for vl::RenderState:

List of all members.

## Public Member Functions

| RenderState ()
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *camera, OpenGLContext *ctx) const =0
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
virtual ref< RenderState > | clone () const =0

## Detailed Description

Base class for most of the OpenGL render state wrapper classes.

See also:
  Shader, Effect, Actor

Definition at line 50 of file RenderState.hpp.

## Constructor & Destructor Documentation

vl::RenderState::RenderState | ( | ) | `[inline]`

Definition at line 55 of file RenderState.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::RenderState::type | ( | ) | const`[inline, virtual]`

Reimplemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::VertexAttrib, vl::Color, vl::SecondaryColor, vl::Normal, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureSampler.

Definition at line 59 of file RenderState.hpp.

References vl::RS_NONE.

Referenced by vl::ShaderNode::eraseRenderState(), vl::Shader::eraseRenderState(), vl::ShaderNode::setRenderState(), and vl::RenderStateSet::setRenderState().

virtual void vl::RenderState::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[pure virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::VertexAttrib, vl::Color, vl::SecondaryColor, vl::Normal, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureSampler.

virtual ref<RenderState> vl::RenderState::clone | ( | ) | const`[pure virtual]`

Implemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::VertexAttrib, vl::Color, vl::SecondaryColor, vl::Normal, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureSampler.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderState.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.